curl --request GET \
--url https://test.deribit.com/api/v2/private/get_block_trade_requests \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 1,
"method": "private/get_block_trade_requests",
"params": {
"broker_code": "jpqYKgg1"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_block_trade_requests"
payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "private/get_block_trade_requests",
"params": { "broker_code": "jpqYKgg1" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'private/get_block_trade_requests',
params: {broker_code: 'jpqYKgg1'}
})
};
fetch('https://test.deribit.com/api/v2/private/get_block_trade_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1,
"result": [
{
"timestamp": 1742824052538,
"state": {
"timestamp": 1742824052539,
"value": "initial"
},
"username": "Trader",
"user_id": 8,
"role": "taker",
"trades": [
{
"amount": 100000,
"direction": "buy",
"price": 87516.83,
"instrument_name": "BTC-PERPETUAL"
}
],
"broker_code": "jpqYKgg1",
"broker_name": "Test Broker",
"counterparty_state": {
"timestamp": 1742824052538,
"value": "approved"
},
"nonce": "29rKkuD3NSBPet4njrpNWEuHBm9s"
}
]
}private/get_block_trade_requests
Provides a list of block trade requests including pending approvals, declined trades, and expired trades. timestamp and nonce received in response can be used with private/approve_block_trade or private/reject_block_trade to approve or reject the pending block trade.
To use the block trade approval feature, an additional API key setting feature called enabled_features: block_trade_approval is required. This key has to be given to the broker/registered partner who performs the trades on behalf of the user for the feature to be active. If the user wants to approve the trade, they must approve it from a different API key that doesnβt have this feature enabled.
Only broker clients can use broker_code to query for their broker block trade requests.
π Related Article: Block Trading
Scope: block_trade:read
Query Parameters
Broker code to filter block trade requests. Only broker clients can use broker_code to query for their executed broker block trades.
"jpqYKgg1"
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Nonce that can be used to approve or reject pending block trade.
"bF1_gfgcsd"
Timestamp that can be used to approve or reject pending block trade.
The name of the application that executed the block trade on behalf of the user (optional).
"Example Application"
Trade role of the user: maker or taker
maker, taker Unique user identifier
57874
Username of the user who initiated the block trade.
"Trader"
Broker code associated with the broker block trade.
"jpqYKgg1"
Name of the broker associated with the block trade.
"Test Broker"
Combo instrument identifier
"BTC-CS-27JUN25-80000_85000"
The id that was sent in the request
Was this page helpful?